<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">
<h:head>
    <title>Внешние системы</title>
    <f:facet name="last">
        <!--<h:outputStylesheet library="css" name="primefaces-override.css"/>-->
    </f:facet>
</h:head>
<h:body>
    <f:facet name="last">
        <h:outputStylesheet library="css" name="primefaces-override.css"/>
    </f:facet>
    <h:form>
        <p:growl id="error" showDetail="false"/>
        <p:outputPanel id="externalSystemDetails" style="text-align:center;" autoUpdate="true">
            <p:panelGrid columns="4">

                <h:outputLabel value= "Код:"/>
                <h:inputText  value="#{externalsystemview.concreetExternalSystem.extCode}" requiredMessage="Код" readonly="true" required="true" disabled="true"/>

                <h:outputLabel value="Название:" />
                <h:inputText maxlength="20" value="#{externalsystemview.concreetExternalSystem.extId}" requiredMessage="Введите название системы" readonly="false" style="background-color: yellow;" required="true"/>

                <h:outputLabel value="Описание:" />
                <h:inputText maxlength="100" value="#{externalsystemview.concreetExternalSystem.description}" required="false"/>

                <h:outputLabel value= "Дата рег.:"/>
                <h:inputText  value="#{externalsystemview.concreetExternalSystem.regSysDate}" readonly="true" disabled="true"/>

                <h:outputLabel value="Дата изм.:" />
                <h:inputText  value="#{externalsystemview.concreetExternalSystem.updateSysDate}" readonly="true" disabled="true"/>

                <p:outputLabel for="status" value= "Статус:"/>
                <p:selectOneMenu id="status" value="#{externalsystemview.concreetExternalSystem.status}" requiredMessage="Выберите статус" panelStyleClass="required-style-selectonemenu-panel" styleClass="required-style-selectonemenu-label" style="width:125px;" required="true">
                    <f:selectItem itemLabel="0 – Не активная" itemValue="0" />
                    <f:selectItem itemLabel="1 – Активная" itemValue="1" />
                </p:selectOneMenu>

                <p:outputLabel for="flagappauth" value= "Аутентификация:"/>
                <p:selectOneMenu id="flagappauth" value="#{externalsystemview.concreetExternalSystem.flagAppAuth}" requiredMessage="Выберите необходимость аутентификации" panelStyleClass="required-style-selectonemenu-panel" styleClass="required-style-selectonemenu-label" style="width:125px;" required="true">
                    <f:selectItem itemLabel="0 – Аутентификация не обязательна" itemValue="0" />
                    <f:selectItem itemLabel="1 – Аутентификация обязательна" itemValue="1" />
                </p:selectOneMenu>

                <h:outputLabel value="Ключ:" />
                <h:inputText maxlength="400" value="#{externalsystemview.concreetExternalSystem.authKey}" requiredMessage="Введите ключ" readonly="false" required="false"/>

                <h:outputLabel value="Банк:" />
                <h:inputText maxlength="4" value="#{externalsystemview.concreetExternalSystem.psid}" requiredMessage="Введите банк" readonly="false" style="background-color: yellow;" required="true"/>

                <h:outputLabel value="Филиал:" />
                <h:inputText maxlength="4" value="#{externalsystemview.concreetExternalSystem.fiid}" requiredMessage="введите филиал" readonly="false" style="background-color: yellow;" required="true"/>

                <h:outputLabel value="HMAC-ключ:"/>
                <h:inputText maxlength="500" value="#{externalsystemview.concreetExternalSystem.hmacKey}" readonly="false" required="false" style="background-color: #d4d4d1;"/>
            </p:panelGrid>
        </p:outputPanel>
        <div>
        <p:separator/>
        <p:commandButton value="Сохранить" ajax="false" action="#{externalsystemview.saveFocusedRow}" styleClass="submitButton"/>
        <p:commandButton ajax="false" value="Отменить" action="#{externalsystemview.close}" immediate="true" styleClass="cancelButton"/>
    </div>
    </h:form>
</h:body>
</html>

